gnutls_rsa_params_generate2(3)

NAME
gnutls_rsa_params_generate2 - This function will generate temporary RSA parameters

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_rsa_params_generate2(gnutls_rsa_params_t params, unsigned int bits);

ARGUMENTS

gnutls_rsa_params_t params
    The structure where the parameters will be stored

unsigned int bits
    is the prime's number of bits

DESCRIPTION
This function will generate new temporary RSA parameters for use in RSA-EXPORT ciphersuites. This function is normally slow. Note that if the parameters are to be used in export cipher suites the bits value should be 512 or less. Also note that the generation of new RSA parameters is only useful to servers. Clients use the parameters sent by the server, thus it's no use calling this in client side.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.